feat(docs): Move job_specs to resources
[csit.git] / resources / libraries / bash / function / common.sh
index 228be2b..b197917 100644 (file)
@@ -1,5 +1,5 @@
-# Copyright (c) 2022 Cisco and/or its affiliates.
-# Copyright (c) 2022 PANTHEON.tech and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
+# Copyright (c) 2023 PANTHEON.tech and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
@@ -227,7 +227,7 @@ function common_dirs () {
     TOPOLOGIES_DIR=$(readlink -e "${CSIT_DIR}/topologies/available") || {
         die "Readlink failed."
     }
-    JOB_SPECS_DIR=$(readlink -e "${CSIT_DIR}/docs/job_specs") || {
+    JOB_SPECS_DIR=$(readlink -e "${CSIT_DIR}/resources/job_specs") || {
         die "Readlink failed."
     }
     RESOURCES_DIR=$(readlink -e "${CSIT_DIR}/resources") || {
@@ -467,17 +467,17 @@ function get_test_code () {
             NODENESS="2n"
             FLAVOR="icx"
             ;;
+        *"2n-spr"*)
+            NODENESS="2n"
+            FLAVOR="spr"
+            ;;
         *"3n-icx"*)
             NODENESS="3n"
             FLAVOR="icx"
             ;;
-        *"2n-dnv"*)
-            NODENESS="2n"
-            FLAVOR="dnv"
-            ;;
-        *"3n-dnv"*)
+        *"3n-spr"*)
             NODENESS="3n"
-            FLAVOR="dnv"
+            FLAVOR="spr"
             ;;
         *"3n-snr"*)
             NODENESS="3n"
@@ -616,29 +616,12 @@ function move_archives () {
 function post_process_robot_outputs () {
 
     # Generate INFO level output_info.xml by rebot.
-    # Archive UTI raw json outputs.
     #
     # Variables read:
     # - ARCHIVE_DIR - Path to post-processed files.
 
     set -exuo pipefail
 
-    # Compress raw json outputs, as they will never be post-processed.
-    pushd "${ARCHIVE_DIR}" || die
-    if [ -d "tests" ]; then
-        # Use deterministic order.
-        options+=("--sort=name")
-        # We are keeping info outputs where they are.
-        # Assuming we want to move anything but info files (and dirs).
-        options+=("--exclude=*.info.json")
-        tar czf "generated_output_raw.tar.gz" "${options[@]}" "tests" || true
-        # Tar can remove when archiving, but chokes (not deterministically)
-        # on attempting to remove dirs (not empty as info files are there).
-        # So we need to delete the raw files manually.
-        find "tests" -type f -name "*.raw.json" -delete || true
-    fi
-    popd || die
-
     # Generate INFO level output_info.xml for post-processing.
     all_options=("--loglevel" "INFO")
     all_options+=("--log" "none")
@@ -756,7 +739,6 @@ function run_pybot () {
 
     # Run pybot with options based on input variables.
     # Generate INFO level output_info.xml by rebot.
-    # Archive UTI raw json outputs.
     #
     # Variables read:
     # - CSIT_DIR - Path to existing root of local CSIT git repository.
@@ -801,9 +783,9 @@ function select_arch_os () {
     case "${ID}" in
         "ubuntu"*)
             case "${VERSION}" in
-                *"LTS (Focal Fossa)"*)
-                    IMAGE_VER_FILE="VPP_DEVICE_IMAGE_UBUNTU"
-                    VPP_VER_FILE="VPP_STABLE_VER_UBUNTU_FOCAL"
+                *"LTS (Jammy Jellyfish)"*)
+                    IMAGE_VER_FILE="VPP_DEVICE_IMAGE_UBUNTU_JAMMY"
+                    VPP_VER_FILE="VPP_STABLE_VER_UBUNTU_JAMMY"
                     PKG_SUFFIX="deb"
                     ;;
                 *)
@@ -871,9 +853,6 @@ function select_tags () {
 
     # Select default NIC tag.
     case "${TEST_CODE}" in
-        *"3n-dnv"* | *"2n-dnv"*)
-            default_nic="nic_intel-x553"
-            ;;
         *"3n-snr"*)
             default_nic="nic_intel-e822cq"
             ;;
@@ -883,10 +862,13 @@ function select_tags () {
         *"3n-icx"* | *"2n-icx"*)
             default_nic="nic_intel-xxv710"
             ;;
+        *"3n-spr"* | *"2n-spr"*)
+            default_nic="nic_intel-e810cq"
+            ;;
         *"2n-clx"* | *"2n-zn2"*)
             default_nic="nic_intel-xxv710"
             ;;
-        *"2n-tx2"* | *"3n-alt"* | *"mrr-daily-master")
+        *"2n-tx2"* | *"3n-alt"*)
             default_nic="nic_intel-xl710"
             ;;
         *"1n-aws"* | *"2n-aws"* | *"3n-aws"*)
@@ -903,7 +885,6 @@ function select_tags () {
     awk_nics_sub_cmd+='gsub("x710","10ge2p1x710");'
     awk_nics_sub_cmd+='gsub("xl710","40ge2p1xl710");'
     awk_nics_sub_cmd+='gsub("x520-da2","10ge2p1x520");'
-    awk_nics_sub_cmd+='gsub("x553","10ge2p1x553");'
     awk_nics_sub_cmd+='gsub("cx556a","100ge2p1cx556a");'
     awk_nics_sub_cmd+='gsub("e810cq","100ge2p1e810cq");'
     awk_nics_sub_cmd+='gsub("vic1227","10ge2p1vic1227");'
@@ -911,6 +892,7 @@ function select_tags () {
     awk_nics_sub_cmd+='gsub("nitro-50g","50ge1p1ENA");'
     awk_nics_sub_cmd+='if ($9 =="drv_avf") drv="avf-";'
     awk_nics_sub_cmd+='else if ($9 =="drv_rdma_core") drv ="rdma-";'
+    awk_nics_sub_cmd+='else if ($9 =="drv_mlx5_core") drv ="mlx5-";'
     awk_nics_sub_cmd+='else if ($9 =="drv_af_xdp") drv ="af-xdp-";'
     awk_nics_sub_cmd+='else drv="";'
     awk_nics_sub_cmd+='if ($1 =="-") cores="";'
@@ -927,9 +909,15 @@ function select_tags () {
                 awk {"$awk_nics_sub_cmd"} || echo "devicetest") || die
             SELECTION_MODE="--test"
             ;;
+        *"hoststack-daily"* )
+            readarray -t test_tag_array <<< $(grep -v "#" \
+                ${tfd}/hoststack_daily/${DUT}-${NODENESS}-${FLAVOR}.md |
+                awk {"$awk_nics_sub_cmd"} || echo "perftest") || die
+            SELECTION_MODE="--test"
+            ;;
         *"ndrpdr-weekly"* )
             readarray -t test_tag_array <<< $(grep -v "#" \
-                ${tfd}/mlr_weekly/${DUT}-${NODENESS}-${FLAVOR}.md |
+                ${tfd}/ndrpdr_weekly/${DUT}-${NODENESS}-${FLAVOR}.md |
                 awk {"$awk_nics_sub_cmd"} || echo "perftest") || die
             SELECTION_MODE="--test"
             ;;
@@ -999,35 +987,28 @@ function select_tags () {
         *"2n-icx"*)
             test_tag_array+=("!ipsechw")
             ;;
-        *"3n-icx"*)
+        *"2n-spr"*)
             test_tag_array+=("!ipsechw")
-            # Not enough nic_intel-xxv710 to support double link tests.
-            test_tag_array+=("!3_node_double_link_topoANDnic_intel-xxv710")
             ;;
-        *"2n-zn2"*)
+        *"2n-tx2"*)
             test_tag_array+=("!ipsechw")
             ;;
-        *"2n-dnv"*)
-            test_tag_array+=("!memif")
-            test_tag_array+=("!srv6_proxy")
-            test_tag_array+=("!vhost")
-            test_tag_array+=("!vts")
-            test_tag_array+=("!drv_avf")
+        *"2n-zn2"*)
+            test_tag_array+=("!ipsechw")
             ;;
-        *"2n-tx2"* | *"3n-alt"*)
+        *"3n-alt"*)
             test_tag_array+=("!ipsechw")
             ;;
-        *"3n-dnv"*)
-            test_tag_array+=("!memif")
-            test_tag_array+=("!srv6_proxy")
-            test_tag_array+=("!vhost")
-            test_tag_array+=("!vts")
-            test_tag_array+=("!drv_avf")
+        *"3n-icx"*)
+            test_tag_array+=("!ipsechw")
+            test_tag_array+=("!3_node_double_link_topoANDnic_intel-xxv710")
             ;;
         *"3n-snr"*)
             ;;
+        *"3n-spr"*)
+            test_tag_array+=("!ipsechw")
+            ;;
         *"3n-tsh"*)
-            # 3n-tsh only has x520 NICs which don't work with AVF
             test_tag_array+=("!drv_avf")
             test_tag_array+=("!ipsechw")
             ;;
@@ -1130,13 +1111,9 @@ function select_topology () {
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_icx*.yaml )
             TOPOLOGIES_TAGS="2_node_*_link_topo"
             ;;
-        "2n_dnv")
-            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_dnv*.yaml )
-            TOPOLOGIES_TAGS="2_node_single_link_topo"
-            ;;
-        "3n_dnv")
-            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_dnv*.yaml )
-            TOPOLOGIES_TAGS="3_node_single_link_topo"
+        "2n_spr")
+            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_spr*.yaml )
+            TOPOLOGIES_TAGS="2_node_*_link_topo"
             ;;
         "3n_snr")
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_snr*.yaml )